---
sidebar_position: 4
description: Delete courier invitation and other functions to work with CDEK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, CDEK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Delete courier invitation




`Function DeleteCourierInvitation(Val Token, Val UUID, Val TestAPI = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | UUID | --uuid | String | &#x2714; | UUID of the invitation for deletion |
  | TestAPI | --testapi | Boolean | &#x2716; | Flag to use test API for requests |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from CDEK

:::tip
Method at API documentation: [Deleting a courier invitation](https://api-docs.cdek.ru/33828880.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token = "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9. ...";
    UUID  = "8fe3fbe8-b2a0-4ee9-a5e0-93831f4eab2d";

    Result = OPI_CDEK.DeleteCourierInvitation(Token, UUID, True);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint cdek DeleteCourierInvitation \
             --token "***" \
             --uuid "2a75c7f0-9f49-4667-802c-eeed87903e84" \
             --testapi "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint cdek DeleteCourierInvitation ^
             --token "***" ^
             --uuid "2a75c7f0-9f49-4667-802c-eeed87903e84" ^
             --testapi "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "entity": {
  "uuid": "72753031-e8e5-4454-b51a-643dbacc9e2d"
 },
 "requests": [
  {
   "request_uuid": "2f041c20-6903-45a6-8543-81766ad2d051",
   "type": "DELETE",
   "date_time": "2024-10-21T21:28:16+03:00",
   "state": "ACCEPTED"
  }
 ],
 "related_entities": []
}
```
